libglom-1.22: Glom::LayoutItem_Text Class Reference

libglom-1.22 1.21.4

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Glom::LayoutItem_Text Class Reference
Inheritance diagram for Glom::LayoutItem_Text:
[legend]
Collaboration diagram for Glom::LayoutItem_Text:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Text ()
| LayoutItem_Text (const LayoutItem_Text& src)
LayoutItem_Text& | operator= (const LayoutItem_Text& src)
virtual | ~LayoutItem_Text ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | operator== (const LayoutItem_Text& src) const
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
Glib::ustring | get_text (const Glib::ustring& locale) const
| Get the text that will be shown on each record.
void | set_text (const Glib::ustring& text, const Glib::ustring& locale)
| Set the text that will be shown on each record.
void | set_text_original (const Glib::ustring& text)
| Set the text's original (non-translated, usually English) text.
## Public Attributes
sharedptr< TranslatableItem > | m_text

## Constructor & Destructor Documentation

Glom::LayoutItem_Text::LayoutItem_Text | ( |  | ) |

Glom::LayoutItem_Text::LayoutItem_Text | ( | const LayoutItem_Text& | src | ) |

virtual Glom::LayoutItem_Text::~LayoutItem_Text | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Text::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Text::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Text::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

Glib::ustring Glom::LayoutItem_Text::get_text | ( | const Glib::ustring & | locale | ) | const

Get the text that will be shown on each record.

LayoutItem_Text& Glom::LayoutItem_Text::operator= | ( | const LayoutItem_Text& | src | ) |

bool Glom::LayoutItem_Text::operator== | ( | const LayoutItem_Text& | src | ) | const

void Glom::LayoutItem_Text::set_text | ( | const Glib::ustring & | text,
|  | const Glib::ustring & | locale
| ) |  |

Set the text that will be shown on each record.

void Glom::LayoutItem_Text::set_text_original | ( | const Glib::ustring & | text | ) |

Set the text's original (non-translated, usually English) text.

This is the same as calling set_text() with an empty locale parameter.

## Member Data Documentation

sharedptr<TranslatableItem> Glom::LayoutItem_Text::m_text

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_text.h